List Leads
curl --request GET \
--url https://app.famulor.de/api/user/leads \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.de/api/user/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/leads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/leads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/leads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"current_page": 1,
"data": [
{
"id": 1,
"campaign_id": 1,
"phone_number": "+1234567890",
"variables": {
"customer_name": "John Doe",
"email": "john.doe@example.com"
},
"status": "created",
"created_at": "2025-06-30 11:18:04",
"updated_at": "2025-06-30 11:18:04",
"campaign": {
"id": 1,
"name": "My new campaign"
},
"secondary_contacts": [
{
"id": 2,
"phone_number": "+1234567899",
"variables": {
"customer_name": "Jane Doe Secondary",
"email": "jane.doe.secondary@example.com"
},
"status": "created",
"created_at": "2025-06-30 11:18:04",
"updated_at": "2025-06-30 11:18:04"
}
]
}
],
"first_page_url": "https://app.famulor.de/api/user/leads?page=1",
"from": 1,
"last_page": 10,
"last_page_url": "https://app.famulor.de/api/user/leads?page=10",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://app.famulor.de/api/user/leads?page=1",
"label": "1",
"active": true
},
{
"url": "https://app.famulor.de/api/user/leads?page=2",
"label": "2",
"active": false
}
],
"next_page_url": "https://app.famulor.de/api/user/leads?page=2",
"path": "https://app.famulor.de/api/user/leads",
"per_page": 15,
"prev_page_url": null,
"to": 15,
"total": 150
}
List Leads
Retrieve a paginated list of all leads for the authenticated Famulor account via API. Filter, sort and access contact details for voice agent campaigns.
GET
/
api
/
user
/
leads
List Leads
This endpoint allows you to list all leads belonging to the authenticated user with filtering and pagination options.
Query Parameters
Filter leads by status. Possible values:
created, scheduled, processing, completed, rescheduled, reached-max-retries, blacklistedFilter leads by campaign ID
Filter leads by phone number (partial match supported)
Filter leads created from this date (
YYYY-MM-DD format)Filter leads created until this date (
YYYY-MM-DD format)Number of leads per page (
1-100)Page number
Response Fields
List of leads
Show Lead Properties
Show Lead Properties
The ID of the lead
The ID of the campaign this lead belongs to
The lead’s phone number in E.164 format
The variables assigned to the lead
The status of the lead
The creation date of the lead
The date of the last update of the lead
Array of secondary contact leads linked to this lead
Show Secondary Contact Properties
Show Secondary Contact Properties
The ID of the secondary contact lead
The phone number of the secondary contact in E.164 format
The variables assigned to the secondary contact
The status of the secondary contact
The creation date of the secondary contact
The date of the last update of the secondary contact
The current page number
Number of items per page
Total number of leads matching the criteria
The last page number
{
"current_page": 1,
"data": [
{
"id": 1,
"campaign_id": 1,
"phone_number": "+1234567890",
"variables": {
"customer_name": "John Doe",
"email": "john.doe@example.com"
},
"status": "created",
"created_at": "2025-06-30 11:18:04",
"updated_at": "2025-06-30 11:18:04",
"campaign": {
"id": 1,
"name": "My new campaign"
},
"secondary_contacts": [
{
"id": 2,
"phone_number": "+1234567899",
"variables": {
"customer_name": "Jane Doe Secondary",
"email": "jane.doe.secondary@example.com"
},
"status": "created",
"created_at": "2025-06-30 11:18:04",
"updated_at": "2025-06-30 11:18:04"
}
]
}
],
"first_page_url": "https://app.famulor.de/api/user/leads?page=1",
"from": 1,
"last_page": 10,
"last_page_url": "https://app.famulor.de/api/user/leads?page=10",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://app.famulor.de/api/user/leads?page=1",
"label": "1",
"active": true
},
{
"url": "https://app.famulor.de/api/user/leads?page=2",
"label": "2",
"active": false
}
],
"next_page_url": "https://app.famulor.de/api/user/leads?page=2",
"path": "https://app.famulor.de/api/user/leads",
"per_page": 15,
"prev_page_url": null,
"to": 15,
"total": 150
}
Related pages: Introduction and Authentication Guide, and API Integration Examples.
Was this page helpful?
⌘I

